package com.bocloud.cmp.model.azure.db;

/**
 * @Company: 博云 www.bocloud.com
 * @ClassName: AzureDatabaseModel
 * @Description:
 * @author: zhenpingLi/李振平
 * @date: 2021/2/2 15:04
 */
public class AzureDatabaseModel {

    private String uuid;
    private String name;
    private String type;
    private String dbCharset;//数据库的字符集。
    private String dbCollation;//	数据库的排序规则。
    private String databaseServerUuid;
    //用于创建和删除时使用
    private String databaseServerName;
    private String resourceGroupName;

    public String getUuid() {
        return uuid;
    }

    public void setUuid(String uuid) {
        this.uuid = uuid;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getType() {
        return type;
    }

    public void setType(String type) {
        this.type = type;
    }

    public String getDbCharset() {
        return dbCharset;
    }

    public void setDbCharset(String dbCharset) {
        this.dbCharset = dbCharset;
    }

    public String getDbCollation() {
        return dbCollation;
    }

    public void setDbCollation(String dbCollation) {
        this.dbCollation = dbCollation;
    }

    public String getDatabaseServerUuid() {
        return databaseServerUuid;
    }

    public void setDatabaseServerUuid(String databaseServerUuid) {
        this.databaseServerUuid = databaseServerUuid;
    }

    public String getDatabaseServerName() {
        return databaseServerName;
    }

    public void setDatabaseServerName(String databaseServerName) {
        this.databaseServerName = databaseServerName;
    }

    public String getResourceGroupName() {
        return resourceGroupName;
    }

    public void setResourceGroupName(String resourceGroupName) {
        this.resourceGroupName = resourceGroupName;
    }
}